<form (ngSubmit)="save(form.value)" [formGroup]="form" id="card-form">
  <mat-card>
    <mat-card-title class="mat-h1">Association d'une carte VA</mat-card-title>
    <mat-form-field>
      <input formControlName="card_id" matInput pattern="c([0-9]{12})" placeholder="Code barre de la carte" required>
    </mat-form-field>
    <br>
    <button [disabled]="boutonInactif" color="primary" mat-raised-button>
      <mat-icon>save</mat-icon>
      Enregistrer
    </button>
  </mat-card>
</form>
<div *ngIf="errors">
  <app-erreur [erreur]="errors"></app-erreur>
</div>
